# IntegrationService | windmill-client
Documentation for windmill-client

# Class IntegrationService

- Defined in src/services.gen.ts:2444

#####
Index

### Constructors

constructor

### Methods

listHubIntegrations

##
Constructors

### constructor

- new IntegrationService(): IntegrationService

- #### Returns IntegrationService

##
Methods

### `Static` listHubIntegrations

- listHubIntegrations(data?): CancelablePromise < ListHubIntegrationsResponse >

- list hub integrations

  #### Parameters

  - data: ListHubIntegrationsData = {}

    The data for the request.

  #### Returns CancelablePromise < ListHubIntegrationsResponse >

  unknown integrations details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2452